Bug 1305764 - [rhgs docker image] Include cronie and it's dependent packages in RHGS container image
[rhgs docker image] Include cronie and it's dependent packages in RHGS contai...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhgs-server-container (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity high
: ---
: RHGS 3.1.2
Assigned To: Mohamed Ashiq
Prasanth
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-09 02:59 EST by Prasanth
Modified: 2016-12-19 12:31 EST (History)
6 users (show)

See Also:
Fixed In Version: rhgs-server-docker-3.1.2-7
Doc Type: Bug Fix
Doc Text:
Cause: Cronie package and its dependencies were not installed in the images. Consequence: Snapshot scripts did not run successfully Fix: Added Cronie and its dependencies to the images Result: Snapshot scripts works fine with out any error.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-19 12:31:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasanth 2016-02-09 02:59:30 EST
Description of problem:

Include cronie and it's dependent packages in RHGS container image as this package is required for Snapshot scheduler to work properly. Currently this package is not installed by default in RHGS container image and hence "snap_scheduler.py init" fails with the following error (A new bug will be opened to correct this in-correct error message):

####
[root@dhcp42-196 glusterfs]# snap_scheduler.py init              
snap_scheduler: Another snap_scheduler command is running. Please try again after some time.

From logs:
[2016-02-09 07:41:46,502 snap_scheduler.py:710 main] INFO /var/run/gluster/shared_storage/snaps/lock_files/lock_file is being processed by another agent.
[2016-02-09 07:42:03,157 snap_scheduler.py:710 main] INFO /var/run/gluster/shared_storage/snaps/lock_files/lock_file is being processed by another agent.
####

Version-Release number of selected component (if applicable):
-------
rcm-img-docker01.build.eng.bos.redhat.com:5001/rhgs3/rhgs-server-rhel7:3.1.2-6

# cat /etc/redhat-storage-release 
Red Hat Gluster Storage Server 3.1 Update 2 ( Container)
-------

How reproducible: Always


Steps to Reproduce:
1. Run # snap_scheduler.py init
2.
3.

Actual results:
RHGS container image does not contain cronie and it's dependent packages

Expected results: RHGS container image should contain cronie and it's dependent packages installed by default


Additional info:

#######
[root@dhcp42-196 glusterfs]# yum install cronie
Loaded plugins: ovl, product-id, search-disabled-repos, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Resolving Dependencies
--> Running transaction check
---> Package cronie.x86_64 0:1.4.11-14.el7 will be installed
--> Processing Dependency: dailyjobs for package: cronie-1.4.11-14.el7.x86_64
--> Running transaction check
---> Package cronie-anacron.x86_64 0:1.4.11-14.el7 will be installed
--> Processing Dependency: crontabs for package: cronie-anacron-1.4.11-14.el7.x86_64
--> Running transaction check
---> Package crontabs.noarch 0:1.11-6.20121102git.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================================================================================
 Package                   Arch              Version                            Repository                                                                             Size
============================================================================================================================================================================
Installing:
 cronie                    x86_64            1.4.11-14.el7                      download.eng.blr.redhat.com_pub_rhel_released_RHEL-7_7.2_Server_x86_64_os_             90 k
Installing for dependencies:
 cronie-anacron            x86_64            1.4.11-14.el7                      download.eng.blr.redhat.com_pub_rhel_released_RHEL-7_7.2_Server_x86_64_os_             35 k
 crontabs                  noarch            1.11-6.20121102git.el7             download.eng.blr.redhat.com_pub_rhel_released_RHEL-7_7.2_Server_x86_64_os_             13 k

Transaction Summary
============================================================================================================================================================================
Install  1 Package (+2 Dependent packages)

Total download size: 138 k
Installed size: 259 k
Is this ok [y/d/N]: y
Downloading packages:
(1/3): cronie-1.4.11-14.el7.x86_64.rpm                                                                                                               |  90 kB  00:00:00     
(2/3): cronie-anacron-1.4.11-14.el7.x86_64.rpm                                                                                                       |  35 kB  00:00:00     
(3/3): crontabs-1.11-6.20121102git.el7.noarch.rpm                                                                                                    |  13 kB  00:00:00     
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                       1.6 MB/s | 138 kB  00:00:00     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : crontabs-1.11-6.20121102git.el7.noarch                                                                                                                   1/3 
  Installing : cronie-anacron-1.4.11-14.el7.x86_64                                                                                                                      2/3 
  Installing : cronie-1.4.11-14.el7.x86_64                                                                                                                              3/3 
  Verifying  : cronie-1.4.11-14.el7.x86_64                                                                                                                              1/3 
  Verifying  : crontabs-1.11-6.20121102git.el7.noarch                                                                                                                   2/3 
  Verifying  : cronie-anacron-1.4.11-14.el7.x86_64                                                                                                                      3/3 

Installed:
  cronie.x86_64 0:1.4.11-14.el7                                                                                                                                             

Dependency Installed:
  cronie-anacron.x86_64 0:1.4.11-14.el7                                               crontabs.noarch 0:1.11-6.20121102git.el7                                              

Complete!

[root@dhcp42-196 glusterfs]# rpm -qa |grep cron   
crontabs-1.11-6.20121102git.el7.noarch
cronie-1.4.11-14.el7.x86_64
cronie-anacron-1.4.11-14.el7.x86_64
######
Comment 3 Prasanth 2016-02-16 02:50:18 EST
Verified as fixed in rhgs-server-docker-3.1.2-7

####
[root@dhcp42-184 hooks]# rpm -qa |grep cron
cronie-anacron-1.4.11-14.el7.x86_64
crontabs-1.11-6.20121102git.el7.noarch
cronie-1.4.11-14.el7.x86_64


[root@dhcp42-184 ]# snap_scheduler.py init
snap_scheduler: Successfully initialised snapshot scheduler for this node
####

Note You need to log in before you can comment on or make changes to this bug.